// SortDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"   	// main symbols
#include "systrayplay.h"
#include "SortDlg.h"
#include "MainHelper.h"
#include "MainWnd.h"
#include "PlaylistDlg.h"
#include "PlaylistManager.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSortDlg dialog


CSortDlg::CSortDlg() : CDialog(CSortDlg::IDD)
{
}


BEGIN_MESSAGE_MAP(CSortDlg, CDialog)
	ON_EN_CHANGE(IDC_TEMPLATE, OnChangeTemplate)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSortDlg message handlers

void CSortDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_SORT_TEMPLATE, m_sortTemplate);
}


void CSortDlg::OnChangeTemplate()
{
	UpdateData(TRUE);
	GetDlgItem(IDOK)->EnableWindow(m_sortTemplate != "");
}
BOOL CSortDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_Helper.translateWindowText(this, IDD_SORT);
	m_Helper.translateDlgItemText(this, IDC_LSORT_TEMPLATE);
	m_Helper.translateDlgItemText(this, IDC_LSORTDESCRIPTIONPOSSIBILITY);
	m_Helper.translateDlgItemText(this, IDOK);
	m_Helper.translateDlgItemText(this, IDCANCEL);

	m_sortTemplate = pMainFrame->sortTemplate;

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CSortDlg::OnOK()
{
	UpdateData(TRUE);


	if (SortThreadHan == NULL)
	{
		pMainFrame->sortTemplate = m_sortTemplate;
		SortThreadHan = CreateThread(NULL, 0, (LPTHREAD_START_ROUTINE)SortThread, NULL, 0, &SortThreadID);
		SetThreadPriority(SortThreadHan, THREAD_PRIORITY_LOWEST);
	}

	CDialog::OnOK();
}

