#ifndef SETTINGSDIALOGAPPARENCE_H
#define SETTINGSDIALOGAPPARENCE_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboBoxXP.h"
#include "Tooltip/ColourPicker.h"

// Bote de dialogue CSettingsDialogApparence

class CSettingsDialogApparence : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogApparence)

public:
	CSettingsDialogApparence();
	virtual ~CSettingsDialogApparence();
	void DrawGradientSample(CWnd* pGradientSampleWnd);

	BOOL showGradient;
	BOOL showGradientSel;
	BOOL showToolTip;
	CColourPicker startColor;
	CColourPicker endColor;
	CButtonXP m_btnLook;

	enum {
		IDD = IDD_SETTINGS_APPARENCE
	};

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	void OnChangeTooltipText();
	void OnPaint();
	BOOL PreTranslateMessage(MSG* pMsg);

	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif